/*
 * InvokingMethods.c
 *
 */

#include "classes\Generated Source\InvokingMethods.h"


JNIEXPORT void JNICALL
Java_InvokingMethods_nativeMethod(JNIEnv *env, jobject thisObj) {

	jclass clazz;
	jmethodID public_mid;
	jmethodID private_mid;
	jmethodID public_static_mid;
	jmethodID private_static_mid;

	// Klassen-Zeiger holen
	clazz = (*env)->GetObjectClass(env, thisObj);

	// Aufruf der Non-Static Methoden
	public_mid = (*env)->GetMethodID(env, clazz, "publicMethod", "()V");
	private_mid = (*env)->GetMethodID(env, clazz, "privateMethod", "()V");

	(*env)->CallVoidMethod(env, thisObj, public_mid);
	(*env)->CallVoidMethod(env, thisObj, private_mid);

	// Aufruf der Static Methoden
	public_static_mid = (*env)->GetStaticMethodID(env, clazz, "publicStaticMethod", "()V");
	private_static_mid = (*env)->GetStaticMethodID(env, clazz, "privateStaticMethod", "()V");

	(*env)->CallStaticVoidMethod(env, clazz, public_static_mid);
	(*env)->CallStaticVoidMethod(env, clazz, private_static_mid);

}